com.example.labstatus.ui.SL1

## Class RecyclerViewAdapterSL1.ViewHolder

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.ViewHolder
  - - com.example.labstatus.ui.SL1.RecyclerViewAdapterSL1.ViewHolder

- All Implemented Interfaces:
    android.view.View.OnClickListener
  Enclosing class:
    RecyclerViewAdapterSL1

      public class RecyclerViewAdapterSL1.ViewHolder
      extends androidx.recyclerview.widget.RecyclerView.ViewHolder
      implements android.view.View.OnClickListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) SL1ViewModel` | `item`
    `android.widget.RelativeLayout` | `relativeLayout`
    `android.widget.TextView` | `textView`

    - ### Fields inherited from class androidx.recyclerview.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewHolder(android.view.View v)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClick(android.view.View view)`
    `void` | `setData(SL1ViewModel item)`

    - ### Methods inherited from class androidx.recyclerview.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### item

          SL1ViewModel item

    - #### relativeLayout

          public android.widget.RelativeLayout relativeLayout

    - #### textView

          public android.widget.TextView textView

  - ### Constructor Detail

    - #### ViewHolder

          public ViewHolder(android.view.View v)

  - ### Method Detail

    - #### onClick

          public void onClick(android.view.View view)

      Specified by:
        `onClick` in interface `android.view.View.OnClickListener`

    - #### setData

          public void setData(SL1ViewModel item)